Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# enc28j60conf.h

Go to the documentation of this file.

    00001 /*! \file enc28j60conf.h \brief Microchip ENC28J60 Ethernet Interface Driver Configuration. */
    00002 //*****************************************************************************
    00003 //
    00004 // File Name    : 'enc28j60conf.h'
    00005 // Title        : Microchip ENC28J60 Ethernet Interface Driver Configuration
    00006 // Author       : Pascal Stang
    00007 // Created      : 10/5/2004
    00008 // Revised      : 8/22/2005
    00009 // Version      : 0.1
    00010 // Target MCU   : Atmel AVR series
    00011 // Editor Tabs  : 4
    00012 //
    00013 // Description  : This driver provides initialization and transmit/receive
    00014 //      functions for the ENC28J60 10Mb Ethernet Controller and PHY.
    00015 //
    00016 // This code is distributed under the GNU Public License
    00017 //      which can be found at http://www.gnu.org/licenses/gpl.txt
    00018 //
    00019 //*****************************************************************************
    00020
    00021 #ifndef ENC28J60CONF_H
    00022 #define ENC28J60CONF_H
    00023
    00024 // ENC28J60 SPI port
    00025 #define ENC28J60_SPI_PORT       PORTB
    00026 #define ENC28J60_SPI_DDR        DDRB
    00027 #define ENC28J60_SPI_SCK        7
    00028 #define ENC28J60_SPI_MOSI       5
    00029 #define ENC28J60_SPI_MISO       6
    00030 #define ENC28J60_SPI_SS         4
    00031 // ENC28J60 control port
    00032 #define ENC28J60_CONTROL_PORT   PORTB
    00033 #define ENC28J60_CONTROL_DDR    DDRB
    00034 #define ENC28J60_CONTROL_CS     4
    00035
    00036 // MAC address for this interface
    00037 #ifdef ETHADDR0
    00038 #define ENC28J60_MAC0 ETHADDR0
    00039 #define ENC28J60_MAC1 ETHADDR1
    00040 #define ENC28J60_MAC2 ETHADDR2
    00041 #define ENC28J60_MAC3 ETHADDR3
    00042 #define ENC28J60_MAC4 ETHADDR4
    00043 #define ENC28J60_MAC5 ETHADDR5
    00044 #else
    00045 #define ENC28J60_MAC0 '0'
    00046 #define ENC28J60_MAC1 'F'
    00047 #define ENC28J60_MAC2 'F'
    00048 #define ENC28J60_MAC3 'I'
    00049 #define ENC28J60_MAC4 'C'
    00050 #define ENC28J60_MAC5 'E'
    00051 #endif
    00052
    00053 #endif